Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.debugger.jpda/2 2.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.api.debugger.jpda
Class AttachingDICookie

    java.lang.Object
      org.netbeans.api.debugger.jpda.AbstractDICookie
          org.netbeans.api.debugger.jpda.AttachingDICookie

    public final class AttachingDICookie

extends AbstractDICookie

Attaches to some already running JDK and returns VirtualMachine for it.
How to use it:

        DebuggerInfo di = DebuggerInfo.create (
            "My Attaching First Debugger Info",
            new Object [] {
                AttachingDICookie.create (
                    "localhost",
                    1234
                )
            }
        );
        DebuggerManager.getDebuggerManager ().startDebugging (di);

Field Summary
`static String` | `ID` Public ID used for registration in Meta-inf/debugger.

Method Summary
`static AttachingDICookie` | `create(com.sun.jdi.connect.AttachingConnector attachingConnector, Map args)` Creates a new instance of AttachingDICookie for given parameters.
`static AttachingDICookie` | `create(String name)` Creates a new instance of AttachingDICookie for given parameters.
`static AttachingDICookie` | `create(String hostName, int portNumber)` Creates a new instance of AttachingDICookie for given parameters.
`Map` | `getArgs()` Returns map of arguments.
`com.sun.jdi.connect.AttachingConnector` | `getAttachingConnector()` Returns instance of AttachingDICookie.
`String` | `getHostName()` Returns name of computer.
`int` | `getPortNumber()` Returns port number.
`String` | `getSharedMemoryName()` Returns shared memory block name.
`com.sun.jdi.VirtualMachine` | `getVirtualMachine()` Creates a new instance of VirtualMachine for this DebuggerInfo Cookie.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ID

    public static final String ID

  Public ID used for registration in Meta-inf/debugger.

  See Also:
    Constant Field Values

Method Detail

### create

    public static AttachingDICookie create(com.sun.jdi.connect.AttachingConnector attachingConnector,
                                           Map args)

  Creates a new instance of AttachingDICookie for given parameters.

  Parameters:
    `attachingConnector` - a connector to be used
    `args` - map of arguments
  Returns:
    a new instance of AttachingDICookie for given parameters

### create

    public static AttachingDICookie create(String hostName,
                                           int portNumber)

  Creates a new instance of AttachingDICookie for given parameters.

  Parameters:
    `hostName` - a name of computer to attach to
    `portNumber` - a potr number
  Returns:
    a new instance of AttachingDICookie for given parameters

### create

    public static AttachingDICookie create(String name)

  Creates a new instance of AttachingDICookie for given parameters.

  Parameters:
    `name` - a name of shared memory block
  Returns:
    a new instance of AttachingDICookie for given parameters

### getAttachingConnector

    public com.sun.jdi.connect.AttachingConnector getAttachingConnector()

  Returns instance of AttachingDICookie.

  Returns:
    instance of AttachingDICookie

### getArgs

    public Map getArgs()

  Returns map of arguments.

  Returns:
    map of arguments

### getPortNumber

    public int getPortNumber()

  Returns port number.

  Returns:
    port number

### getHostName

    public String getHostName()

  Returns name of computer.

  Returns:
    name of computer

### getSharedMemoryName

    public String getSharedMemoryName()

  Returns shared memory block name.

  Returns:
    shared memory block name

### getVirtualMachine

    public com.sun.jdi.VirtualMachine getVirtualMachine()
                                                 throws IOException,
                                                        com.sun.jdi.connect.IllegalConnectorArgumentsException

  Creates a new instance of VirtualMachine for this DebuggerInfo Cookie.

  Specified by:
    `getVirtualMachine` in class `AbstractDICookie`
  Returns:
    a new instance of VirtualMachine for this DebuggerInfo Cookie
  Throws:
    `IOException`
    `com.sun.jdi.connect.IllegalConnectorArgumentsException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.debugger.jpda/2 2.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.